import sys

mpl_root="/home/psha/src/mpl/"
document_root = "/home/psha/public_html/mpl/"

sys.path.append(mpl_root)
sys.path.append(document_root)

#from msb_redirect import MSBRedirect
from mplcore.sql import MPLSQL

from mplcore.api import MPL

import mplcore

mpl = mplcore

class ListNav:
	def __init__(self, qs = None):
		self.qs = qs
		self.start = self.get("start", default = 0)
		self.step = self.get("step", default = 100)
		self.end  = self.get("end", default = self.start + self.step)

	def get(self, what, default = 0):
		try:
			return int(self.qs[what][0])
		except Exception,e:
			return default

class Search:
	def __init__(self, qs = None):
		self.qs = qs
		self.id = self.get("id")
		self.search = self.get("search")
		self.vendor = self.get("vendor")
		self.order = self.get("order")
		self.price_low = self.get("price-low")
		self.price_high = self.get("price-high")
		try:
			self.id = int(self.id)
		except:
			self.id = None
		try:
			if self.price_low:  self.price_low  = float(self.price_low)
			if self.price_high: self.price_high = float(self.price_high)
		except:
			self.price_low = None
			self.price_high = None
		if self.price_high <= 0 or self.price_high < self.price_low:
			self.price_high = None
		if self.search == '' or not self.search: 
			self.search = []
			self.pretty_search = ''
		else:
			self.pretty_search = self.search
			self.search = self.search.split(' ')
		try:
			self.vendor = int(self.vendor)
		except:
			self.vendor = None

	def get(self, what, default = None):
		try:
			return mplcore.api.q(self.qs[what][0])
		except Exception,e:
			return default
